import { Colors } from './enum';

export enum UserAttestationStatus {
  /**
   * 待审核
   */
  Audit = 0,
  /**
   * 注册用户
   */
  Registered = 1,
  /**
   * 基础信息完善用户
   */
  BasicInfoPerfect = 2,
  /**
   * 提交审核
   */
  SubmitAudit = 9,
  /**
   * 通过
   */
  Pass = 10,
  /**
   * 驳回
   */
  Reject = -10,
  /**
   * 未提交/禁用
   */
  NotSubmit = -20,
  /**
   * 未认证
   */
  NotAttestation = -30,
  /**
   * 已过期
   */
  Expired = -40,
}

export const UserAttestationStatusText = {
  [UserAttestationStatus.SubmitAudit]: '认证审核中',
  [UserAttestationStatus.Pass]: '已认证',
  [UserAttestationStatus.Reject]: '审核未通过',
  [UserAttestationStatus.NotAttestation]: '未认证',
  [UserAttestationStatus.Expired]: '已过期',
};

export const UserAttestationStatusColor = {
  [UserAttestationStatus.SubmitAudit]: Colors.Warning,
  [UserAttestationStatus.Pass]: Colors.Success,
  [UserAttestationStatus.Reject]: Colors.Danger,
  [UserAttestationStatus.Expired]: Colors.Danger,
};

export const UserAttestationStatusClassName = {
  [UserAttestationStatus.NotSubmit]: 'not-authorize',
  [UserAttestationStatus.Reject]: 'authorize-reject',
  [UserAttestationStatus.Audit]: 'authorizing',
  [UserAttestationStatus.Pass]: 'authorized',
};

export enum UserType {
  /**
   * 企业
   */
  Enterprise = 1,
  /**
   * 个人
   */
  Person,
}

export const UserTypeText = {
  [UserType.Enterprise]: '企业',
  [UserType.Person]: '个人',
};

/**
 * @deprecated 这个状态UserAttestationStatus
 */
export enum UserBasicInfoStatus {
  /**
   * 待审核
   */
  Audit = 0,
  /**
   * 注册用户
   */
  Registered = 1,
  /**
   * 基础信息完善用户
   */
  BasicInfoPerfect = 2,
  /**
   * 提交审核
   */
  SubmitAudit = 9,
  /**
   * 通过
   */
  Pass = 10,
  /**
   * 驳回
   */
  Reject = -10,
  /**
   * 禁用
   */
  Disable = -20,
  /**
   * 未认证
   */
  NotAttestation = -30,
}

/**
 * @deprecated 这个状态ParkOrHRStatus
 */
export enum OpenHRSiteStatus {
  /**
   * 未开通人资公司
   */
  NotOpen = 0,
  /**
   * 未提交信息
   */
  Unsubmitted = 10,
}

export enum Gender {
  /**
   * 男
   */
  Male = 1,
  /**
   * 女
   */
  Female = 2,
}

export const GenderText = {
  [Gender.Male]: '男',
  [Gender.Female]: '女',
};

export enum MatchMakingIdentityEnum {
  /**
   * 用人方
   */
  Employing = 10,
  /**
   * 供人方
   */
  Contributors = 20,
}

export const MatchMakingIdentityEnumText = {
  [MatchMakingIdentityEnum.Employing]: '用人方',
  [MatchMakingIdentityEnum.Contributors]: '供人方',
};

export const MatchMakingIdentityEnumTitle = {
  [MatchMakingIdentityEnum.Employing]: '找资源',
  [MatchMakingIdentityEnum.Contributors]: '找订单',
};
